## rust-soketto 0.8.0

=== debian/changelog ===
rust-soketto (0.8.0-3) unstable; urgency=medium

  * drop patch 2002_base64,
    obsoleted by Debian package changes;
    tighten build-dependency for crate base64;
    closes: bug#1084140, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 20:52:39 +0200

rust-soketto (0.8.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Sep 2024 22:34:29 +0200

rust-soketto (0.8.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * bump project versions in virtual packages and autopkgtests
  * update patches;
    tighten (build-)dependencies for crate futures
  * update watch file: improve filename mangling
  * relax autopkgtests to check single-feature tests only on amd64
  * stop mark dependencies as test-only:
    needed for regular build with dh-rust

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Sep 2024 21:29:01 +0200

rust-soketto (0.7.1-3) experimental; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 18:11:25 +0200

rust-soketto (0.7.1-2) experimental; urgency=medium

  * fix provide features for minor-version
    (not unstable major version)
  * update DEP-3 headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Mar 2024 09:32:21 +0100

rust-soketto (0.7.1-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1064155

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 20:59:29 +0100
