=== debian/control ===
Source: rust-soketto
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-base64-0.22+alloc-dev,
 librust-bytes-1+default-dev,
 librust-env-logger-0.10+default-dev,
 librust-flate2-1+zlib-dev,
 librust-futures-0.3+bilock-dev,
 librust-futures-0.3+std-dev,
 librust-futures-0.3+unstable-dev,
 librust-http-0.2-dev,
 librust-httparse-1+std-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-log-0.4-dev,
 librust-quickcheck-1+default-dev,
 librust-rand-0.8+std-dev,
 librust-rand-0.8+std-rng-dev,
 librust-sha1-0.10-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-soketto.git
Vcs-Browser: https://salsa.debian.org/debian/rust-soketto
Homepage: https://github.com/paritytech/soketto
Rules-Requires-Root: no

Package: librust-soketto-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-base64-0.22+alloc-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+zlib-dev,
 librust-futures-0.3+bilock-dev,
 librust-futures-0.3+std-dev,
 librust-futures-0.3+unstable-dev,
 librust-http-0.2-dev,
 librust-httparse-1+std-dev,
 librust-log-0.4-dev,
 librust-rand-0.8+std-dev,
 librust-rand-0.8+std-rng-dev,
 librust-sha1-0.10-dev,
 ${misc:Depends},
Provides:
 librust-soketto-0.8+default-dev (= ${binary:Version}),
 librust-soketto-0.8+deflate-dev (= ${binary:Version}),
 librust-soketto-0.8+http-dev (= ${binary:Version}),
 librust-soketto-0.8-dev (= ${binary:Version}),
 librust-soketto-0.8.0-dev (= ${binary:Version}),
Description: websocket protocol implementation
 Soketto is an implementation of the RFC 6455 websocket protocol.
 .
 This package contains the source for the Rust soketto crate,
 for use with cargo.
