=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test soketto 0.8.0
 --all-targets --all-features
Features: test-name=rust-soketto:@
Depends:
 dh-rust,
 librust-env-logger-0.10+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-quickcheck-1+default-dev,
 librust-soketto-0.8-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test soketto 0.8.0
 --all-targets --no-default-features
Features: test-name=rust-soketto:
Depends:
 dh-rust,
 librust-env-logger-0.10+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-quickcheck-1+default-dev,
 librust-soketto-0.8-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test soketto 0.8.0
 --all-targets
Features: test-name=rust-soketto:default
Depends:
 dh-rust,
 librust-env-logger-0.10+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-quickcheck-1+default-dev,
 librust-soketto-0.8+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test soketto 0.8.0
 --all-targets --no-default-features --features deflate
Features: test-name=rust-soketto:deflate
Depends:
 dh-rust,
 librust-env-logger-0.10+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-quickcheck-1+default-dev,
 librust-soketto-0.8+deflate-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test soketto 0.8.0
 --all-targets --no-default-features --features http
Features: test-name=rust-soketto:http
Depends:
 dh-rust,
 librust-env-logger-0.10+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-quickcheck-1+default-dev,
 librust-soketto-0.8+http-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tokio-util-0.7+compat-dev,
 librust-tokio-util-0.7+default-dev,
Restrictions: allow-stderr
Architecture: amd64
