## rust-soketto 0.8.1

=== debian/changelog ===
rust-soketto (0.8.1-3) unstable; urgency=medium

  * drop patch 2002, obsoleted by Debian packaging changes;
    bump and tighten (build-)dependency for crate http;
    bump build- and autopkgtest-dependencies for crate hyper;
    build- and autopkgtest-depend on packages
    for crates http-body-util hyper-util
  * update copyright info: update coverage
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve upstream version mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 00:19:47 +0100

rust-soketto (0.8.1-2) unstable; urgency=medium

  * drop patch 2002_env_logger, obsoleted by Debian package changes;
    tighten build- and autopkgtest-dependencies
    for crate rust-env-logger;
    closes: bug#1091221, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 13:38:47 +0100

rust-soketto (0.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Dec 2024 01:56:53 +0100

rust-soketto (0.8.0-4) unstable; urgency=medium

  * relax build-dependency for crate env_logger

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Oct 2024 12:58:51 +0200
