=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
  dh-sequence-rust,
  librust-base64-0.22+alloc-dev,
  librust-bytes-1+default-dev,
- librust-env-logger-0.10+default-dev,
+ librust-env-logger-0.11+default-dev,
  librust-flate2-1+zlib-dev,
  librust-futures-0.3+bilock-dev,
  librust-futures-0.3+std-dev,
  librust-futures-0.3+unstable-dev,
- librust-http-0.2-dev,
+ librust-http-1+default-dev,
+ librust-http-body-util-0.1+default-dev,
  librust-httparse-1+std-dev,
- librust-hyper-0.14+default-dev,
- librust-hyper-0.14+full-dev,
+ librust-hyper-1+default-dev,
+ librust-hyper-1+full-dev,
+ librust-hyper-util-0.1+default-dev,
+ librust-hyper-util-0.1+tokio-dev,
  librust-log-0.4-dev,
  librust-quickcheck-1+default-dev,
  librust-rand-0.8+std-dev,
@@ -43,7 +46,7 @@
  librust-futures-0.3+bilock-dev,
  librust-futures-0.3+std-dev,
  librust-futures-0.3+unstable-dev,
- librust-http-0.2-dev,
+ librust-http-1+default-dev,
  librust-httparse-1+std-dev,
  librust-log-0.4-dev,
  librust-rand-0.8+std-dev,
@@ -55,7 +58,7 @@
  librust-soketto-0.8+deflate-dev (= ${binary:Version}),
  librust-soketto-0.8+http-dev (= ${binary:Version}),
  librust-soketto-0.8-dev (= ${binary:Version}),
- librust-soketto-0.8.0-dev (= ${binary:Version}),
+ librust-soketto-0.8.1-dev (= ${binary:Version}),
 Description: websocket protocol implementation
  Soketto is an implementation of the RFC 6455 websocket protocol.
  .
